import 'package:didvan/views/widgets/logos/didvan_vertical_logo.dart';
import 'package:flutter/material.dart';

class LogoAppBar extends StatelessWidget {
  final String? type;
  final bool hasExtraPadding;
  const LogoAppBar({Key? key, this.hasExtraPadding = true, this.type})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    final MediaQueryData d = MediaQuery.of(context);
    final double extraPadding = hasExtraPadding ? 0 : 16;
    return Container(
      margin: EdgeInsets.only(top: d.padding.top),
      padding: EdgeInsets.only(
        left: (type == null ? 140 : 0) - extraPadding,
        top: 16 - extraPadding,
        bottom: 16 - extraPadding,
        right: 16 - extraPadding,
      ),
      alignment: Alignment.centerRight,
      child: DidvanHorizontalLogo(type: type),
    );
  }
}
